
// Utility Functions

double pointToLineDistance(PVector A, PVector B, PVector P) {
  double normalLength = sqrt((B.x-A.x)*(B.x-A.x)+(B.y-A.y)*(B.y-A.y));
  return abs((P.x-A.x)*(B.y-A.y)-(P.y-A.y)*(B.x-A.x))/normalLength;
}

boolean isInPointPerimiter(PVector P1, PVector P2, Float r) {
  return sqrt(P1.x - P2.x) + sqrt(P1.y - P2.y) < sqrt(r);
}
